@import url("https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap");

:root {
  --menu: #002157;
  --white: #f1f3fb;
  --lblue: #468bfc;
  --black: #222222;
  --line1: #e2f5ff;
  --line2: #d3e6ef;
  --thead: #90a4ae;
  --filter: #37474f;
  --grey: #d5d8de;
}

html {
  font-family: "Quicksand", sans-serif;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

li {
  line-height: 4rem;
  margin-left: 2rem;
  margin-bottom: 2rem;
}

li:nth-child(1) {
  margin-top: 2rem;
}

.menu {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 25rem;
  background-color: var(--menu);
  color: var(--white);
  font-size: 1.5rem;
}

svg {
  stroke: var(--white);
  fill: var(--white);
  width: 4rem;
}

a {
  display: flex;
  text-decoration: none;
  color: var(--white);
}

a span {
  display: inline-block;
  margin-left: 1.25rem;
}

.main {
  margin-left: 25rem;
  color: var(--black);
  padding-left: 2rem;
}

.actual a {
  color: var(--lblue);
}

.actual svg {
  stroke: var(--lblue);
  fill: var(--lblue);
  width: 4rem;
}

.menu .turnaj-item {
  font-size: 1.25rem;
  margin-left: 5rem;
  margin-bottom: 0;
}

.menu .turnaj-item svg {
  width: 2.75rem;
}

li:nth-child(5) {
  margin-bottom: 0.5rem;
}

.menu #help {
  background-color: var(--white);
  margin-right: 1rem;
  border-radius: 1rem;
}

.menu #help a {
  color: var(--menu);
  font-weight: 800;
}

.menu li#cross svg {
  cursor: pointer;
}

.menu li#cross {
  display: none;
}

.menu li:nth-child(2) {
  margin-top: 4rem;
}

#hamburger {
  display: none;

  margin-top: 1.5rem;
  margin-left: 1.5rem;
}

#hamburger svg {
  cursor: pointer;
}

@media only screen and (min-width: 769px) and (max-width: 1024px) {
  .menu {
    display: none;
    width: 50%;
    z-index: 1;
  }

  .main {
    margin-left: 0;
    color: var(--black);
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }
  #hamburger {
    display: block;
  }

  .menu li#cross {
    display: block;
  }

  .menu li:nth-child(2) {
    margin-top: 0;
  }
}


@media only screen and (min-width: 481px) and (max-width: 768px) {
  body {
    overflow-x: hidden;
  }

  .menu {
    display: none;
    width: 100%;
    z-index: 1;
  }

  .main {
    margin-left: 0;
    color: var(--black);
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }
  #hamburger {
    display: block;
  }

  .menu li#cross {
    display: block;
  }

  .menu li:nth-child(2) {
    margin-top: 0;
  }
}

@media only screen and (max-width: 480px) {
  body {
    overflow-x: hidden;
  }

  .menu {
    display: none;
    width: 100%;
    z-index: 1;
    opacity: 0;
  }

  .main {
    margin-left: 0;
    color: var(--black);
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }

  #hamburger {
    display: block;
  }

  .menu li#cross {
    display: block;
  }

  .menu li:nth-child(2) {
    margin-top: 0;
  }
}

